Skip to content

Renew API service credential.

POST
/api/web/namespaces/{namespace}/renew/service_credentials
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/renew/service_credentials \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "expiration_days": 1, "name": "example", "namespace": "example" }'

Renew service credential’s expiry. Renewal is only supported for the credential type SERVICE_API_TOKEN.

Examples of this operation.

namespace
required
string

Namespace

x-required Value of namespace is always “system” .

Media typeapplication/json
Renew Credential request

Request to renew a credential object.

object
expiration_days
Expiry in days

Qty of days of service credential expiration.

integer format: int64
name
Credential name

Name of API credential object. Required: YES.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Value of namespace is always “system” . Required: YES.

string
>= 6 characters <= 1024 characters
Examplegenerated
{
"expiration_days": 1,
"name": "example",
"namespace": "example"
}

A successful response.

Media typeapplication/json
API credential status response

API credential status response.

object
status
Status

Result status flag.

boolean format: boolean
>= 17 characters <= 17 characters
Examplegenerated
{
"status": true
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example